import { getRippleColor, rippleColorProperty, themer } from '@nativescript-community/ui-material-core';
import { Color } from '@nativescript/core';
import { RippleBase } from './ripple-common';
export class Ripple extends RippleBase {
    createNativeView() {
        const view = UIView.alloc().init();
        this.inkTouchController = MDCRippleTouchController.alloc().initWithView(view);
        const colorScheme = themer.getAppColorScheme();
        if (colorScheme && colorScheme.primaryColor) {
            this.inkTouchController.rippleView.rippleColor = colorScheme.primaryColor.colorWithAlphaComponent(0.24);
        }
        return view;
    }
    [rippleColorProperty.setNative](color) {
        this.inkTouchController.rippleView.rippleColor = getRippleColor(color);
    }
}
//# sourceMappingURL=ripple.ios.js.map